## mingw-w64-itk-5.4.2-1.src.tar.zst

=== Examples/Filtering/test/CMakeLists.txt ===
set(BASELINE ${ITK_DATA_ROOT}/Baseline/Filtering)
set(TEMP ${ITK_BINARY_DIR}/Testing/Temporary)

itk_add_test(
  NAME
  BilateralImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BilateralImageFilter.png,:}
  ${TEMP}/BilateralImageFilter.png
  $<TARGET_FILE:BilateralImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BilateralImageFilter.png
  6.0
  5.0)
itk_add_test(
  NAME
  BinaryMinMaxCurvatureFlowImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMinMaxCurvatureFlowImageFilter.png}
  ${TEMP}/BinaryMinMaxCurvatureFlowImageFilter.png
  $<TARGET_FILE:BinaryMinMaxCurvatureFlowImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BinaryMinMaxCurvatureFlowImageFilter.png
  10
  .125
  1
  128)
itk_add_test(
  NAME
  BinaryThresholdImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryThresholdImageFilter.png
  $<TARGET_FILE:BinaryThresholdImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BinaryThresholdImageFilter.png
  150
  180
  0
  255)
itk_add_test(
  NAME
  BinaryMedianImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMedianImageFilter1.png}
  ${TEMP}/BinaryMedianImageFilter1.png
  $<TARGET_FILE:BinaryMedianImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryMedianImageFilter1.png
  1
  1)
itk_add_test(
  NAME
  BinaryMedianImageFilterTest2
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMedianImageFilter2.png}
  ${TEMP}/BinaryMedianImageFilter2.png
  $<TARGET_FILE:BinaryMedianImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryMedianImageFilter2.png
  2
  2)
itk_add_test(
  NAME
  BinaryMedianImageFilterTest3
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinaryMedianImageFilter3.png}
  ${TEMP}/BinaryMedianImageFilter3.png
  $<TARGET_FILE:BinaryMedianImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/BinaryMedianImageFilter3.png
  3
  3)
itk_add_test(
  NAME
  VotingBinaryHoleFillingImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryHoleFillingImageFilter1.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter1.png
  $<TARGET_FILE:VotingBinaryHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter1.png
  1
  1)
itk_add_test(
  NAME
  VotingBinaryHoleFillingImageFilterTest2
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryHoleFillingImageFilter2.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter2.png
  $<TARGET_FILE:VotingBinaryHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter2.png
  2
  2)
itk_add_test(
  NAME
  VotingBinaryHoleFillingImageFilterTest3
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryHoleFillingImageFilter3.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter3.png
  $<TARGET_FILE:VotingBinaryHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryHoleFillingImageFilter3.png
  3
  3)
itk_add_test(
  NAME
  VotingBinaryIterativeHoleFillingImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryIterativeHoleFillingImageFilter1.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter1.png
  $<TARGET_FILE:VotingBinaryIterativeHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter1.png
  1
  1
  10)
itk_add_test(
  NAME
  VotingBinaryIterativeHoleFillingImageFilterTest2
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryIterativeHoleFillingImageFilter2.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter2.png
  $<TARGET_FILE:VotingBinaryIterativeHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter2.png
  2
  2
  10)
itk_add_test(
  NAME
  VotingBinaryIterativeHoleFillingImageFilterTest3
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/VotingBinaryIterativeHoleFillingImageFilter3.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter3.png
  $<TARGET_FILE:VotingBinaryIterativeHoleFillingImageFilter>
  DATA{${BASELINE}/BinaryThresholdImageFilter.png}
  ${TEMP}/VotingBinaryIterativeHoleFillingImageFilter3.png
  3
  3
  10)
itk_add_test(
  NAME
  BinomialBlurImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/BinomialBlurImageFilter.png}
  ${TEMP}/BinomialBlurImageFilter.png
  $<TARGET_FILE:BinomialBlurImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/BinomialBlurImageFilter.png
  5)
itk_add_test(
  NAME
  CompositeFilterExampleTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{Baseline/CompositeFilterExample.mha}
  ${TEMP}/CompositeFilterExample.mha
  $<TARGET_FILE:CompositeFilterExample>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/CompositeFilterExample.mha)
itk_add_test(
  NAME
  CurvatureAnisotropicDiffusionImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/CurvatureAnisotropicDiffusionImageFilter.png,:}
  ${TEMP}/CurvatureAnisotropicDiffusionImageFilter.png
  $<TARGET_FILE:CurvatureAnisotropicDiffusionImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/CurvatureAnisotropicDiffusionImageFilter.png
  5
  0.125
  3)
itk_add_test(
  NAME
  CurvatureFlowImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/CurvatureFlowImageFilter.png}
  ${TEMP}/CurvatureFlowImageFilter.png
  $<TARGET_FILE:CurvatureFlowImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/CurvatureFlowImageFilter.png
  5
  0.125
  1.0)
itk_add_test(
  NAME
  DanielssonDistanceMapImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/DanielssonDistanceMapImageFilter.png}
  ${TEMP}/DanielssonDistanceMapImageFilter.png
  $<TARGET_FILE:DanielssonDistanceMapImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/FivePoints.png
  ${TEMP}/DanielssonDistanceMapImageFilter.png
  ${TEMP}/DanielssonDistanceMapImageFilter2.png
  ${TEMP}/DanielssonDistanceMapImageFilter.mha)
itk_add_test(
  NAME
  DiscreteGaussianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/DiscreteGaussianImageFilter.png}
  ${TEMP}/DiscreteGaussianImageFilter.png
  $<TARGET_FILE:DiscreteGaussianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/DiscreteGaussianImageFilter.png
  1.73
  10)
itk_add_test(
  NAME
  GradientAnisotropicDiffusionImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/GradientAnisotropicDiffusionImageFilter.png}
  ${TEMP}/GradientAnisotropicDiffusionImageFilter.png
  $<TARGET_FILE:GradientAnisotropicDiffusionImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/GradientAnisotropicDiffusionImageFilter.png
  5
  0.125
  1.0)
itk_add_test(
  NAME
  GradientMagnitudeImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/GradientMagnitudeImageFilter.png}
  ${TEMP}/GradientMagnitudeImageFilter.png
  $<TARGET_FILE:GradientMagnitudeImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/GradientMagnitudeImageFilter.png)
itk_add_test(
  NAME
  GradientMagnitudeRecursiveGaussianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/GradientMagnitudeRecursiveGaussianImageFilter.png}
  ${TEMP}/GradientMagnitudeRecursiveGaussianImageFilter.png
  $<TARGET_FILE:GradientMagnitudeRecursiveGaussianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/GradientMagnitudeRecursiveGaussianImageFilter.png
  5)
itk_add_test(
  NAME
  GradientRecursiveGaussianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:GradientRecursiveGaussianImageFilter>
  DATA{${ITK_SOURCE_DIR}/Testing/Data/Input/HeadMRVolume.mhd,HeadMRVolume.raw}
  ${TEMP}/GradientRecursiveGaussianImageFilterTest.mha
  1.5 # Sigma
)
itk_add_test(
  NAME
  GradientVectorFlowImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  $<TARGET_FILE:GradientVectorFlowImageFilter>
  DATA{${ITK_SOURCE_DIR}/Testing/Data/Input/GradientRecursiveGaussianImageFilterTest.mha}
  ${TEMP}/GradientVectorFlowImageFilterTest.mha
  5 # number of iterations
  2000.0 # noise level
)
set_tests_properties(GradientVectorFlowImageFilterTest PROPERTIES DEPENDS GradientRecursiveGaussianImageFilterTest)
itk_add_test(
  NAME
  DerivativeImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/DerivativeImageFilter.mha}
  ${TEMP}/DerivativeImageFilter.mha
  $<TARGET_FILE:DerivativeImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/DerivativeImageFilter.mha
  ${TEMP}/DerivativeImageFilter.png
  1
  1)
itk_add_test(
  NAME
  LaplacianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/LaplacianImageFilter.png,:}
  ${TEMP}/LaplacianImageFilter.png
  $<TARGET_FILE:LaplacianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/LaplacianImageFilter.png)
itk_add_test(
  NAME
  LaplacianSharpeningImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/LaplacianSharpeningImageFilter.png,:}
  ${TEMP}/LaplacianSharpeningImageFilter.png
  $<TARGET_FILE:LaplacianSharpeningImageFilter>
  DATA{${ITK_SOURCE_DIR}/Testing/Data/Input/cthead1.png}
  ${TEMP}/LaplacianSharpeningImageFilter.png)
itk_add_test(
  NAME
  MathematicalMorphologyBinaryFiltersTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MathematicalMorphologyBinaryFiltersErode.png}
  ${TEMP}/MathematicalMorphologyBinaryFiltersErode.png
  $<TARGET_FILE:MathematicalMorphologyBinaryFilters>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MathematicalMorphologyBinaryFiltersErode.png
  ${TEMP}/MathematicalMorphologyBinaryFiltersDilate.png
  150
  180)
itk_add_test(
  NAME
  MathematicalMorphologyGrayscaleFiltersTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MathematicalMorphologyGrayscaleFiltersErode.png}
  ${TEMP}/MathematicalMorphologyGrayscaleFiltersErode.png
  $<TARGET_FILE:MathematicalMorphologyGrayscaleFilters>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MathematicalMorphologyGrayscaleFiltersErode.png
  ${TEMP}/MathematicalMorphologyGrayscaleFiltersDilate.png)
itk_add_test(
  NAME
  MeanImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MeanImageFilter.png}
  ${TEMP}/MeanImageFilter.png
  $<TARGET_FILE:MeanImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MeanImageFilter.png)
itk_add_test(
  NAME
  MedianImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/MedianImageFilter.png}
  ${TEMP}/MedianImageFilter.png
  $<TARGET_FILE:MedianImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/MedianImageFilter.png
  1)
itk_add_test(
  NAME
  ResampleImageFilterTest1
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/ResampleImageFilterTest1.png}
  ${TEMP}/ResampleImageFilterTest1.png
  $<TARGET_FILE:ResampleImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/BrainProtonDensitySlice.png
  ${TEMP}/ResampleImageFilterTest1.png
  0)
itk_add_test(
  NAME
  ResampleOrientedImageFilterTest
  COMMAND
  ${ITK_TEST_DRIVER}
  --compare
  DATA{${BASELINE}/ResampleOrientedImageFilterTest.png}
  ${TEMP}/ResampleOrientedImageFilterTest.png
  $<TARGET_FILE:ResampleOrientedImageFilter>
  ${ITK_SOURCE_DIR}/Examples/Data/VisibleWomanHeadSlice.png
  ${TEMP}/ResampleOrientedImageFilterTest.png
  0
  1
  1
  0)
itk_add_test(
  NAME
  ResampleImageFilterTest2
