=== Modules/Filtering/SpatialFunction/CMakeLists.txt ===
project(ITKSpatialFunction)
itk_module_impl()
