=== Modules/IO/NRRD/CMakeLists.txt ===
project(ITKIONRRD)
set(ITKIONRRD_LIBRARIES ITKIONRRD)
itk_module_impl()
