=== Modules/Segmentation/ConnectedComponents/wrapping/CMakeLists.txt ===
itk_wrap_module(ITKConnectedComponents)
itk_auto_load_and_end_wrap_submodules()
